using AdsManagerService.Domain.SeedWork;

namespace AdsManagerService.Domain.AggregatesModel.AdAggregate;

/// <summary>
/// EN: Repository interface for Ad aggregate.
/// VI: Interface repository cho Ad aggregate.
/// </summary>
public interface IAdRepository : IRepository<Ad>
{
    Ad Add(Ad ad);
    void Update(Ad ad);
    Task<Ad?> GetByIdAsync(Guid id, CancellationToken cancellationToken = default);
}
